<div class="theme-offer">
   <?php
        // Check if the demo import has been completed
        $broker_consultants_demo_import_completed = get_option('broker_consultants_demo_import_completed', false);

        // If the demo import is completed, display the "View Site" button
        if ($broker_consultants_demo_import_completed) {
            echo '<br>';
            echo '<div class="success">Demo Import Successful</div>';
            echo '<br>';
            echo '<hr>';
            echo '<br>';
            echo '<span>' . esc_html__( 'You can now visit your site or customize it further.', 'broker-consultants' ) . '</span>';
            echo '<br>';
            echo '<br>';
            echo '<br>';
            echo '<div class="view-site-btn">';
            echo '<a href="' . esc_url(home_url()) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">View Site</a>';
            echo '<a href="' . esc_url( admin_url('customize.php') ) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">Customize Demo Content</a>';
            echo '</div>';
        }
    if ( isset( $_POST['submit'] ) ) {
        echo '<div class="plugin-notice">';
            // Check if Classic Blog Grid plugin is installed
            if (!is_plugin_active('classic-blog-grid/classic-blog-grid.php')) {
                // Plugin slug and file path for Classic Blog Grid
                $broker_consultants_plugin_slug = 'classic-blog-grid';
                $broker_consultants_plugin_file = 'classic-blog-grid/classic-blog-grid.php';
            
                // Check if Classic Blog Grid is installed and activated
                if ( ! is_plugin_active( $broker_consultants_plugin_file ) ) {
            
                    // Check if Classic Blog Grid is installed
                    $broker_consultants_installed_plugins = get_plugins();
                    if ( ! isset( $broker_consultants_installed_plugins[ $broker_consultants_plugin_file ] ) ) {
            
                        // Include necessary files to install plugins
                        include_once( ABSPATH . 'wp-admin/includes/plugin-install.php' );
                        include_once( ABSPATH . 'wp-admin/includes/file.php' );
                        include_once( ABSPATH . 'wp-admin/includes/misc.php' );
                        include_once( ABSPATH . 'wp-admin/includes/class-wp-upgrader.php' );
            
                        // Download and install Classic Blog Grid
                        $broker_consultants_upgrader = new Plugin_Upgrader();
                        $broker_consultants_upgrader->install( 'https://downloads.wordpress.org/plugin/classic-blog-grid.latest-stable.zip' );
                    }
            
                    // Activate the Classic Blog Grid plugin after installation (if needed)
                    activate_plugin( $broker_consultants_plugin_file );
                }
            }
        echo '</div>';
        // ------- Create Main Menu --------
        $broker_consultants_menuname = 'Primary Menu';
        $broker_consultants_bpmenulocation = 'primary';
        $broker_consultants_menu_exists = wp_get_nav_menu_object( $broker_consultants_menuname );
    
        if ( !$broker_consultants_menu_exists ) {
            $broker_consultants_menu_id = wp_create_nav_menu( $broker_consultants_menuname );

            // Create Home Page
            $broker_consultants_home_title = 'Home';
            $broker_consultants_home = array(
                'post_type'    => 'page',
                'post_title'   => $broker_consultants_home_title,
                'post_content' => '',
                'post_status'  => 'publish',
                'post_author'  => 1,
                'post_slug'    => 'home'
            );
            $broker_consultants_home_id = wp_insert_post($broker_consultants_home);
            // Assign Home Page Template
            add_post_meta($broker_consultants_home_id, '_wp_page_template', 'templates/template-home-page.php');
            // Update options to set Home Page as the front page
            update_option('page_on_front', $broker_consultants_home_id);
            update_option('show_on_front', 'page');
            // Add Home Page to Menu
            wp_update_nav_menu_item($broker_consultants_menu_id, 0, array(
                'menu-item-title' => __('Home', 'broker-consultants'),
                'menu-item-classes' => 'home',
                'menu-item-url' => home_url('/'),
                'menu-item-status' => 'publish',
                'menu-item-object-id' => $broker_consultants_home_id,
                'menu-item-object' => 'page',
                'menu-item-type' => 'post_type'
            ));

            // Create a new Page 
            $broker_consultants_pages_title = 'Pages';
            $broker_consultants_pages_content = '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960 with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>';
            $broker_consultants_pages = array(
                'post_type'    => 'page',
                'post_title'   => $broker_consultants_pages_title,
                'post_content' => $broker_consultants_pages_content,
                'post_status'  => 'publish',
                'post_author'  => 1,
                'post_slug'    => 'pages'
            );
            $broker_consultants_pages_id = wp_insert_post($broker_consultants_pages);
            // Add Pages Page to Menu
            wp_update_nav_menu_item($broker_consultants_menu_id, 0, array(
                'menu-item-title' => __('Pages', 'broker-consultants'),
                'menu-item-classes' => 'pages',
                'menu-item-url' => home_url('/pages/'),
                'menu-item-status' => 'publish',
                'menu-item-object-id' => $broker_consultants_pages_id,
                'menu-item-object' => 'page',
                'menu-item-type' => 'post_type'
            ));

            // Create About Us Page with Dummy Content
            $broker_consultants_about_title = 'About Us';
            $broker_consultants_about_content = '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960 with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>';
            $broker_consultants_about = array(
                'post_type'    => 'page',
                'post_title'   => $broker_consultants_about_title,
                'post_content' => $broker_consultants_about_content,
                'post_status'  => 'publish',
                'post_author'  => 1,
                'post_slug'    => 'about-us'
            );
            $broker_consultants_about_id = wp_insert_post($broker_consultants_about);
            // Add About Us Page to Menu
            wp_update_nav_menu_item($broker_consultants_menu_id, 0, array(
                'menu-item-title' => __('About Us', 'broker-consultants'),
                'menu-item-classes' => 'about-us',
                'menu-item-url' => home_url('/about-us/'),
                'menu-item-status' => 'publish',
                'menu-item-object-id' => $broker_consultants_about_id,
                'menu-item-object' => 'page',
                'menu-item-type' => 'post_type'
            ));

            // Assign the menu to the primary location if not already set
            if ( ! has_nav_menu( $broker_consultants_bpmenulocation ) ) {
                $broker_consultants_locations = get_theme_mod( 'nav_menu_locations' );
                if ( empty( $broker_consultants_locations ) ) {
                    $broker_consultants_locations = array();
                }
                $broker_consultants_locations[ $broker_consultants_bpmenulocation ] = $broker_consultants_menu_id;
                set_theme_mod( 'nav_menu_locations', $broker_consultants_locations );
            }
        }

        //Logo
        set_theme_mod( 'broker_consultants_the_custom_logo', esc_url( get_template_directory_uri().'/images/Logo.png'));

        //Slider Section
        set_theme_mod( 'broker_consultants_slider_top_text', 'Welcome You to Consulto');
        set_theme_mod( 'broker_consultants_button_text', 'GET STARTED');
        set_theme_mod( 'broker_consultants_button_link_slider', '#');
        set_theme_mod( 'broker_consultants_satisfied_number', '99.99%');

        $broker_consultants_featured_category_id = wp_create_category('Consultants');
        set_theme_mod('broker_consultants_slider_cat', 'Consultants');

        $broker_consultants_titles = array('We\'re Providing Business Agency Solution', 'We\'re Providing Business Agency Solution', 'We\'re Providing Business Agency Solution');
        $broker_consultants_content = 'Lorem Ipsum is simply dummy text of the printing and typesetting industry.';

        for ($broker_consultants_i = 0; $broker_consultants_i < 3; $broker_consultants_i++) {
            set_theme_mod('broker_consultants_title' . ($broker_consultants_i + 1), $broker_consultants_titles[$broker_consultants_i]);

            $broker_consultants_my_post = array(
                'post_title'    => wp_strip_all_tags($broker_consultants_titles[$broker_consultants_i]),
                'post_content'  => $broker_consultants_content,
                'post_status'   => 'publish',
                'post_type'     => 'post',
                'post_category' => array($broker_consultants_featured_category_id),
            );

            $broker_consultants_post_id = wp_insert_post($broker_consultants_my_post);

            if (!is_wp_error($broker_consultants_post_id)) {
                $broker_consultants_image_url = get_template_directory_uri() . '/images/slider' . ($broker_consultants_i + 1) . '.png';
                $broker_consultants_image_id = media_sideload_image($broker_consultants_image_url, $broker_consultants_post_id, null, 'id');
                if (!is_wp_error($broker_consultants_image_id)) {
                    set_post_thumbnail($broker_consultants_post_id, $broker_consultants_image_id);
                } else {
                    error_log('Failed to set post thumbnail for post ID: ' . $broker_consultants_post_id);
                }
            } else {
                error_log('Failed to create post: ' . print_r($broker_consultants_post_id, true));
            }
        }

        //Services Section
        set_theme_mod( 'broker_consultants_headingtext1', 'OUR SERVICES');
        set_theme_mod( 'broker_consultants_headingtext_para', 'Quality Servicing Opportunity');
        set_theme_mod( 'broker_consultants_blog_count', '3');

        $broker_consultants_featured_category_id = wp_create_category('Services');
        set_theme_mod('broker_consultants_blog_cat', $broker_consultants_featured_category_id);

        $broker_consultants_titles = array('Business Consulting', 'Investment Analysis', 'Tax Strategy');
        $broker_consultants_content = 'Business consultants provide expert advice to clients on various aspects.';

        for ($broker_consultants_i = 0; $broker_consultants_i < 3; $broker_consultants_i++) {
            set_theme_mod('broker_consultants_title' . ($broker_consultants_i + 1), $broker_consultants_titles[$broker_consultants_i]);

            $broker_consultants_my_post = array(
                'post_title'    => wp_strip_all_tags($broker_consultants_titles[$broker_consultants_i]),
                'post_content'  => $broker_consultants_content,
                'post_status'   => 'publish',
                'post_type'     => 'post',
                'post_category' => array($broker_consultants_featured_category_id),
            );

            $broker_consultants_post_id = wp_insert_post($broker_consultants_my_post);

            if (!is_wp_error($broker_consultants_post_id)) {
                $broker_consultants_image_url = get_template_directory_uri() . '/images/service' . ($broker_consultants_i + 1) . '.png';
                $broker_consultants_image_id = media_sideload_image($broker_consultants_image_url, $broker_consultants_post_id, null, 'id');
                if (!is_wp_error($broker_consultants_image_id)) {
                    set_post_thumbnail($broker_consultants_post_id, $broker_consultants_image_id);
                } else {
                    error_log('Failed to set post thumbnail for post ID: ' . $broker_consultants_post_id);
                }
            } else {
                error_log('Failed to create post: ' . print_r($broker_consultants_post_id, true));
            }
        }

    //Footer Copyright Text
    set_theme_mod( 'broker_consultants_copyright_line', 'Broker Consultants WordPress Theme' );

        // Show success message and the "View Site" button
        update_option('broker_consultants_demo_import_completed', true);
        echo '<br>';
        echo '<div class="success">Demo Import Successful</div>';
        echo '<br>';
        echo '<hr>';
        echo '<br>';
        echo '<span>' . esc_html__( 'You can now visit your site or customize it further.', 'broker-consultants' ) . '</span>';
        echo '<br>';
    }
     ?>
    <ul>
        <li>
        <?php 
        // Check if the form is submitted
        if ( !isset( $_POST['submit'] ) ) : ?>
            <!-- Show demo importer form only if it's not submitted -->
            <?php if (!get_option('broker_consultants_demo_import_completed')) : ?>
                <span><?php echo esc_html( 'Click on the below content to get demo content installed.', 'broker-consultants' ); ?></span>
                <br><br>
                <hr><br>
                <b class="note"><?php echo esc_html('Note :', 'broker-consultants' ); ?></b><br><br>
                <small><b><?php echo esc_html('Please take a backup if your website is already live with data. This importer will overwrite existing data.', 'broker-consultants' ); ?></b></small><br><br>
                <form id="demo-importer-form" action="" method="POST" onsubmit="return runDemoImport();">
                    <input type="submit" name="submit" value="<?php echo esc_attr('Run Importer','broker-consultants'); ?>" class="button button-primary button-large">
                </form>
                <script type="text/javascript">
                    function runDemoImport() {
                        if (confirm('Do you really want to do this?')) {
                            document.getElementById('demo-import-loader').style.display = 'block';
                            return true;
                        }
                        return false;
                    }
                </script>
             <?php endif; ?>
         <?php 
        endif; 

        // Show "View Site" button after form submission
        if ( isset( $_POST['submit'] ) ) {
        echo '<div class="view-site-btn">';
        echo '<a href="' . esc_url(home_url()) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">View Site</a>';
        echo '<a href="' . esc_url( admin_url('customize.php') ) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">Customize Demo Content</a>';
        echo '</div>';
        }
        ?>
        </li>
    </ul>
 </div>